<!DOCTYPE HTML>

{%- import "src/_core_display.html.j2" as core with context -%}
{%- import "src/_global_variables.j2" as vars with context -%}
{%- import "src/_utils.j2" as utils with context -%}
{%- import "src/_annotation_mappings.j2" as maps with context -%}
{%- import "src/_rda-dmp-cs_tree.j2" as rda_tree with context -%}
{%- set dc = ctx|to_context_obj -%}

<html>
  <head>
    <title>IFB Insight, all questions possibly with annotations (and RDA mapping) and replies: {{dc.qtn.name}}</title>
    <meta charset="utf-8">
    <style>{% include "src/default.css" %}</style>
  </head>
  <body>
    <article class="dmp">
      
      {%- do vars.global_ns.vars.update({ "only_entities_with_annotations" : true }) -%}

      {%- for chapter in dc.km.chapters -%}
        {{ core.processChapter(maps.global_ns.maps, vars.global_ns.vars, chapter) }}
      {%- endfor %}
      {{ utils.rewrite_rda_tree(maps.global_ns.maps, rda_tree.rda_html_tree) }}
    </article>
  </body>
</html>
